.pagination-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

.pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;
  margin: 0;
  padding: 0;
}

.pagination li {
  margin: 0 5px;
  display: inline;
}

.pagination li a {
  display: inline;
  padding: 10px 12px;
  border-radius: 4px;
  text-decoration: none;
  color: #444;
  background-color: #fff;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease-in-out;
  border: 1px solid #ccc;
}

.pagination li.active a {
  color: #fff;
  background-color: #007bff;
  border-color: #007bff;
}

.pagination li:hover a {
  background-color: #f9f9f9;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  border-color: #ccc;
}
